- Main Page
- Modules
- Data Structures
- Files
- Related Pages

# bigreq.h

    00001 /*
    00002  * This file generated automatically from bigreq.xml by c_client.py.
    00003  * Edit at your peril.
    00004  */
    00005
    00012 #ifndef __BIGREQ_H
    00013 #define __BIGREQ_H
    00014
    00015 #include "xcb.h"
    00016
    00017 #ifdef __cplusplus
    00018 extern "C" {
    00019 #endif
    00020
    00021 #define XCB_BIGREQUESTS_MAJOR_VERSION 0
    00022 #define XCB_BIGREQUESTS_MINOR_VERSION 0
    00023
    00024 extern xcb_extension_t xcb_big_requests_id;
    00025
    00029 typedef struct xcb_big_requests_enable_cookie_t {
    00030     unsigned int sequence;
    00031 } xcb_big_requests_enable_cookie_t;
    00032
    00034 #define XCB_BIG_REQUESTS_ENABLE 0
    00035
    00039 typedef struct xcb_big_requests_enable_request_t {
    00040     uint8_t  major_opcode;
    00041     uint8_t  minor_opcode;
    00042     uint16_t length;
    00043 } xcb_big_requests_enable_request_t;
    00044
    00048 typedef struct xcb_big_requests_enable_reply_t {
    00049     uint8_t  response_type;
    00050     uint8_t  pad0;
    00051     uint16_t sequence;
    00052     uint32_t length;
    00053     uint32_t maximum_request_length;
    00054 } xcb_big_requests_enable_reply_t;
    00055
    00065 /*****************************************************************************
    00066  **
    00067  ** xcb_big_requests_enable_cookie_t xcb_big_requests_enable
    00068  **
    00069  ** @param xcb_connection_t *c
    00070  ** @returns xcb_big_requests_enable_cookie_t
    00071  **
    00072  *****************************************************************************/
    00073
    00074 xcb_big_requests_enable_cookie_t
    00075 xcb_big_requests_enable (xcb_connection_t *c  );
    00076
    00089 /*****************************************************************************
    00090  **
    00091  ** xcb_big_requests_enable_cookie_t xcb_big_requests_enable_unchecked
    00092  **
    00093  ** @param xcb_connection_t *c
    00094  ** @returns xcb_big_requests_enable_cookie_t
    00095  **
    00096  *****************************************************************************/
    00097
    00098 xcb_big_requests_enable_cookie_t
    00099 xcb_big_requests_enable_unchecked (xcb_connection_t *c  );
    00100
    00116 /*****************************************************************************
    00117  **
    00118  ** xcb_big_requests_enable_reply_t * xcb_big_requests_enable_reply
    00119  **
    00120  ** @param xcb_connection_t                  *c
    00121  ** @param xcb_big_requests_enable_cookie_t   cookie
    00122  ** @param xcb_generic_error_t              **e
    00123  ** @returns xcb_big_requests_enable_reply_t *
    00124  **
    00125  *****************************************************************************/
    00126
    00127 xcb_big_requests_enable_reply_t *
    00128 xcb_big_requests_enable_reply (xcb_connection_t                  *c  ,
    00129                                xcb_big_requests_enable_cookie_t   cookie  ,
    00130                                xcb_generic_error_t              **e  );
    00131
    00132
    00133 #ifdef __cplusplus
    00134 }
    00135 #endif
    00136
    00137 #endif
    00138